%global dlrn_nvr python-tripleoclient-12.3.2.dev146-1.20220201163747.ae58329
%global dlrn 1
%define upstream_version 12.3.2.dev146
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global client tripleoclient

%global common_desc \
python-tripleoclient is a Python plugin to OpenstackClient \
for TripleO <https://github.com/openstack/python-tripleoclient>.

Name:           python-tripleoclient
Version: 12.3.2
Release: 1.20220201163747.ae58329%{?dist}
Summary:        OpenstackClient plugin for tripleoclient

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/python-tripleoclient
Source0: python-tripleoclient-12.3.2.dev146-1.20220201163747.ae58329.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=ae5832929f5f1aaff9dec5b539c126f64204d8f6
Patch0001: 0001-DOWNSTREAM-ONLY-Adding-check-if-Sahara-is-enabled.patch
Patch0002: 0002-DOWNSTREAM-ONLY-Make-container-images-file-required.patch
Patch0003: 0003-Revert-fix-setup.cfg-munging.patch
Patch0004: 0004-Remove-playbook-param-from-tripleo_validator.py.patch
Patch0005: 0005-Train-only-supply-the-stack-name-when-creating-the-i.patch
Patch0006: 0006-Add-openstack-overcloud-export-ceph.patch
Patch0007: 0007-Do-not-require-authentication-for-the-validator-CLI.patch
Patch0008: 0008-Remove-quiet-argument-from-the-validator-run-CLI-com.patch
Patch0009: 0009-Raise-if-no-validation-has-been-executed.patch
Patch0010: 0010-Validator-Run-Ensure-the-plan-really-exists.patch
Patch0011: 0011-Validator-Run-Don-t-rely-on-parameter-file-extension.patch
Patch0012: 0012-Validator-Show-Properly-throwing-an-exception-for-un.patch
Patch0013: 0013-Validator-Show-Run-Display-simplified-results-by-def.patch
Patch0014: 0014-Fix-if-conditions-in-constants.py.patch
Patch0015: 0015-Check-CephClusterFSID-against-proposed-env-files.patch
Patch0016: 0016-train-stein-Handle-UseTLSTransportForNbd-for-previou.patch
Patch0017: 0017-Add-config-download-dir-flag-to-cell-export-command.patch
Patch0018: 0018-TRAIN-only-Don-t-stop-scale-down-if-ansible-fails.patch
Patch0019: 0019-TRAIN-Default-ceph-export-config-download-dir-to-mis.patch
Patch0020: 0020-Run-validation-without-authentication-in-particular-.patch
Patch0021: 0021-Get-deployment-status-to-check-if-plan-and-stack-exi.patch
Patch0022: 0022-Fix-the-get_deployment_status-call.patch
Patch0023: 0023-DOWNSTREAM-ONLY-Fix-failing-unittests-introduced-by-.patch
Patch0024: 0024-Revert-undercloud-key-file-option-for-get_tripleo_an.patch
Patch0025: 0025-Re-add-stack-option-in-get_tripleo_ansible_inventory.patch
Patch0026: 0026-train-only-Extend-list-of-DEPRECATED_SERVICES.patch
Patch0027: 0027-Dumping-task-key-instead-of-tasks-from-validation_ou.patch
Patch0028: 0028-Validator-Run-Add-return-code-management.patch
Patch0029: 0029-Train-Bump-queue-subscription-ttl-for-WebsocketClien.patch
Patch0030: 0030-Add-auth_token_lifetime-to-undercloud.conf.patch
Patch0031: 0031-Revert-Revert-Add-environment-variables-for-better-v.patch
Patch0032: 0032-Move-static-inventory-option-into-parser-group.patch
Patch0033: 0033-Use-validation-framework-for-running-undercloud-chec.patch
Patch0034: 0034-train-only-Trap-empty-role-data.patch
Patch0035: 0035-Use-ceph_mon_network-to-find-Ceph-monitor-IPs-for-ex.patch
Patch0036: 0036-Use-MultiKeyActionValue-action-for-extra-env-vars-ar.patch
Patch0037: 0037-Declare-is_failed_validation-variable-before-if-stat.patch
Patch0038: 0038-Fix-validations-listing-when-filtering-by-group-s.patch
Patch0039: 0039-Remove-extra-env-vars-from-the-mutually-exclusive-ar.patch
Patch0040: 0040-Partial-Revert-Don-t-pass-the-DNSServers-param-in-un.patch
Patch0041: 0041-Fetch-stack-after-updating-it.patch
Patch0042: 0042-train-only-Honour-DeploymentServerBlacklist.patch
Patch0043: 0043-Stable-Only-Reversing-the-legacy-directory-condition.patch
Patch0044: 0044-Use-netaddr-when-comparing-local_ip-for-changes.patch
Patch0045: 0045-TRAIN-ONLY-Fix-overcloud-support-report-for-T.patch

BuildArch:      noarch

BuildRequires:  git
BuildRequires:  openstack-macros

%description
%{common_desc}

%package -n python%{pyver}-%{client}
Summary: OpenstackClient plugin for tripleoclient
%{?python_provide:%python_provide python%{pyver}-%{client}}

BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-pbr
BuildRequires:  python%{pyver}-setuptools
# testing requirements
BuildRequires:  python%{pyver}-stestr
BuildRequires:  python%{pyver}-fixtures
BuildRequires:  python%{pyver}-mock
BuildRequires:  python%{pyver}-testrepository
BuildRequires:  python%{pyver}-testtools
BuildRequires:  python%{pyver}-cliff
BuildRequires:  python%{pyver}-ironicclient
BuildRequires:  python%{pyver}-ironic-inspector-client
BuildRequires:  python%{pyver}-heatclient
BuildRequires:  python%{pyver}-mistralclient
BuildRequires:  python%{pyver}-openstackclient
BuildRequires:  python%{pyver}-oslo-config
BuildRequires:  python%{pyver}-testscenarios
BuildRequires:  python%{pyver}-passlib
BuildRequires:  python%{pyver}-osc-lib-tests
BuildRequires:  openstack-tripleo-common
BuildRequires:  redhat-lsb-core
BuildRequires:  openstack-macros
BuildRequires:  validations-common
%if %{pyver} == 2
BuildRequires:  PyYAML
BuildRequires:  python-psutil
BuildRequires:  python-requests-mock
BuildRequires:  python-websocket-client
%else
BuildRequires:  python%{pyver}-PyYAML
BuildRequires:  python%{pyver}-psutil
BuildRequires:  python%{pyver}-requests-mock
BuildRequires:  python%{pyver}-websocket-client
%endif

Requires:       jq
Requires:       ncurses
Requires:       openstack-selinux
Requires:       python%{pyver}-babel >= 2.3.4
Requires:       python%{pyver}-cliff
Requires:       python%{pyver}-cryptography >= 2.1
Requires:       python%{pyver}-heatclient >= 1.10.0
Requires:       python%{pyver}-ironic-inspector-client >= 1.5.0
Requires:       python%{pyver}-ironicclient >= 2.3.0
Requires:       python%{pyver}-mistralclient >= 3.1.0
Requires:       python%{pyver}-openstackclient >= 3.12.0
Requires:       python%{pyver}-osc-lib >= 1.8.0
Requires:       python%{pyver}-passlib
Requires:       python%{pyver}-pbr
Requires:       python%{pyver}-six
Requires:       python%{pyver}-zaqarclient >= 1.0.0
Requires:       validations-common

%if %{pyver} == 2
Requires:       python-ipaddress
Requires:       python-psutil
Requires:       python-simplejson >= 3.5.1
Requires:       python-websocket-client
Requires:       python2-futures
%else
Requires:       python%{pyver}-psutil
Requires:       python%{pyver}-simplejson >= 3.5.1
Requires:       python%{pyver}-websocket-client
%endif

Requires:       sos
Requires:       openstack-tripleo-common >= 11.4.0
Requires:       python%{pyver}-tripleo-common >= 11.4.0
Requires:       os-net-config
Requires:       rsync

# Dependencies for a containerized undercloud
Requires:       python%{pyver}-tripleoclient-heat-installer
# Dependency for correct validations
Requires:       openstack-tripleo-validations
# Dependency for image building
Requires:       openstack-ironic-python-agent-builder
Requires:       openstack-tripleo-image-elements
Requires:       openstack-tripleo-puppet-elements
Requires:       xfsprogs

Obsoletes: python-rdomanager-oscplugin < 0.0.11
Provides: python-rdomanager-oscplugin = %{version}-%{release}

%description -n python%{pyver}-%{client}
%{common_desc}

%package -n python%{pyver}-%{client}-heat-installer
Summary:        Components required for a containerized undercloud
%{?python_provide:%python_provide python%{pyver}-%{client}-heat-installer}

# Required for containerized undercloud
Requires:       buildah
Requires:       podman
Requires:       openvswitch
Requires:       openstack-heat-agents >= 1.6.0
Requires:       openstack-heat-api >= 11.0.0
Requires:       openstack-heat-engine >= 11.0.0
Requires:       python%{pyver}-paunch >= 4.2.0
# required as we now use --heat-native
Requires:       openstack-heat-monolith >= 11.0.0
Requires:       openstack-tripleo-heat-templates >= 9.0.0
Requires:       puppet-tripleo >= 9.3.0

%description -n python%{pyver}-%{client}-heat-installer
python-tripleoclient-heat-installer is a sub-package that contains all dependencies to
deploy a containerized undercloud with tripleo client.

%prep
%autosetup -n %{name}-%{upstream_version} -S git
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

# Remove the requirements file so that pbr hooks don't add it
# to distutils requires_dist config
%py_req_cleanup

%build
%{pyver_build}
PYTHONPATH=. oslo-config-generator-%{pyver} --config-file=config-generator/undercloud.conf
PYTHONPATH=. oslo-config-generator-%{pyver} --config-file=config-generator/minion.conf

%install
%{pyver_install}
# undercloud.conf.sample needs to be copied by the user when deploying an undercloud,
# so 644 is enough to make it happen. Note instack-undercloud had similar permissions for
# this file.
install -p -D -m 644 undercloud.conf.sample  %{buildroot}/%{_datadir}/%{name}/undercloud.conf.sample
install -p -D -m 644 minion.conf.sample  %{buildroot}/%{_datadir}/%{name}/minion.conf.sample
mkdir -p %{buildroot}/%{_sharedstatedir}/tripleo-heat-installer

%check
# (amoralej) ignore unit tests -
# it misses https://github.com/openstack/python-tripleoclient/commit/e7132d47ea9b90c70fa2414d79c86c9a1dfc73a3
PYTHON=%{pyver_bin} stestr-%{pyver} run ||:

%files -n python%{pyver}-%{client}
%{_datadir}/%{name}
%{pyver_sitelib}/tripleoclient*
%{pyver_sitelib}/python_tripleoclient*
%doc LICENSE README.rst
%dir %{_sharedstatedir}/tripleo-heat-installer

%files -n python%{pyver}-%{client}-heat-installer

%changelog
* Tue Feb 01 2022 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20220201163747.ae58329
- TRAIN-ONLY Fix overcloud support report for T (rhbz#1991485)

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20220126143726.ae58329
- Use netaddr when comparing local_ip for changes (rhbz#2045904)

* Wed Sep 29 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210929093312.ae58329
- [Stable-Only]Reversing the legacy directory conditional (rhbz#2001968)

* Tue Aug 24 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210824053306.ae58329
- [train-only] Honour DeploymentServerBlacklist (rhbz#1994195)

* Tue Aug 24 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210824043308.ae58329
- Fetch stack after updating it (rhbz#1993751)

* Mon Jun 07 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210608013304.ae58329
- Partial Revert "Don't pass the DNSServers param in undercloud env" (rhbz#1960140)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210528070054.ae58329
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210527083307.ae58329
- Remove --extra-env-vars from the mutually exclusive arg group (rhbz#1962688)

* Fri May 21 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210521073320.ae58329
- Fix validations listing when filtering by group(s) (rhbz#1959815)

* Fri May 14 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210514083321.ae58329
- Declare is_failed_validation variable before if statement (rhbz#1959866)

* Tue May 11 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210511173312.ae58329
- Use MultiKeyActionValue action for extra-[env-]vars arguments (rhbz#1959492)

* Wed May 05 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210505144302.ae58329
- Use ceph_mon_network to find Ceph monitor IPs for export (rhbz#1945280)

* Mon May 03 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210503153259.ae58329
- [train-only] Trap empty role data (rhbz#1952017)

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.2-1.20210428170209.ae58329
- Use validation framework for running undercloud checkdisk (rhbz#1935933)

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Wed Apr 07 2021 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 12.3.2-1.20210329153522
- Move static-inventory option into parser group (rhbz#1946047)

* Mon Mar 29 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Revert "Revert "Add environment variables for better var handling"" (rhbz#1911891)

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Fri Mar 19 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Add auth_token_lifetime to undercloud.conf (rhbz#1919005)

* Thu Mar 11 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Thu Mar 11 2021 Juan Pablo Lopez Guzman <jlopezgu@redhat.com> 12.3.2-1.20210310123803
- Modifying Openstack client for undercloud and overcloud backup (rhbz#1824806)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [Train] Bump queue subscription ttl for WebsocketClient (rhbz#1927356)

* Wed Mar 03 2021 Steve Linabery <slinaber@redhat.com> 12.3.2-1.20201114043249
- Bump release

* Thu Feb 11 2021 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 12.3.2-1.20201114043244
- [Validator Run] Add return code management (rhbz#1927196)
- Dumping task key instead of tasks from validation_output (rhbz#1922921)
- [train-only] Extend list of DEPRECATED_SERVICES (rhbz#1911653)

* Fri Feb 05 2021 Thierry Vignaud <tvignaud@redhat.com> 12.3.2-1.20201114043243
- Re add stack option in get_tripleo_ansible_inventory function (rhbz#1924106)
- Revert undercloud-key-file option for get_tripleo_ansible_inventory (rhbz#1924106)

* Thu Jan 28 2021 Gael Chamoulaud (Strider) <gchamoul@redhat.com> 12.3.2-1.20201114043241
- [DOWNSTREAM-ONLY] Fix failing unittests introduced by 953f0a7 (rhbz#1912879)
- Fix the get_deployment_status call (rhbz#1912879)
- Get deployment status to check if plan and stack exists on the env (rhbz#1912879)
- Run validation without authentication in particular context (rhbz#1912879)

* Thu Jan 07 2021 Alex Schultz <aschultz@redhat.com> 12.3.2-1.20201114043240
- [TRAIN] Default ceph export config-download dir to mistral (rhbz#1901321)
- [TRAIN-only] Don't stop scale down if ansible fails (rhbz#1908346)

* Fri Dec 18 2020 Rajesh Tailor <ratailor@redhat.com> 12.3.2-1.20201114043239
- Add config-download-dir flag to cell export command (rhbz#1879240)
- [train/stein] Handle UseTLSTransportForNbd for previous created envs (rhbz#1906698)
- Check CephClusterFSID against proposed env files (rhbz#1844407)
- [Validator Show Run] Display simplified results by default (rhbz#1889785)
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [Validator Run] Don't rely on parameter file extension (rhbz#1887777)
- [Validator Run] Ensure the plan really exists (rhbz#1888642)
- Raise if no validation has been executed (rhbz#1887437)
- Remove --quiet argument from the validator run CLI command. (rhbz#1887725)
- Do not require authentication for the validator CLI (rhbz#1892323)
- [DOWNSTREAM-ONLY] Make container images file required (rhbz#1819016)
- [DOWNSTREAM-ONLY] Adding check if Sahara is enabled (rhbz#1730322)

* Fri Dec 18 2020 Rajesh Tailor <ratailor@redhat.com> 12.3.2-1.20201114043238
- Inject both paths for validations roles location (rhbz#1877688)
- Make container images file required (rhbz#1819016)
- Adding check if Sahara is enabled (rhbz#1730322)

* Fri Dec 18 2020 Martin Schuppert <mschuppert@redhat.com> 12.3.2-1.20201114043237
- [train/stein] Handle UseTLSTransportForNbd for previous created envs (rhbz#1906698)
- Check CephClusterFSID against proposed env files (rhbz#1844407)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Fix if conditions in constants.py (rhbz#1896157)
- [Validator Show Run] Display simplified results by default (rhbz#1889785)
- [Validator Show] Properly throwing an exception for unknown validation (rhbz#1887717)
- [Validator Run] Don't rely on parameter file extension (rhbz#1887777)
- [Validator Run] Ensure the plan really exists (rhbz#1888642)
- Raise if no validation has been executed (rhbz#1887437)
- Remove --quiet argument from the validator run CLI command. (rhbz#1887725)

* Thu Nov 05 2020 Cédric Jeanneret <cjeanner@redhat.com> 12.3.2-1.20200916223435
- Do not require authentication for the validator CLI (rhbz#1892323)
- Add openstack overcloud export ceph (rhbz#1857776)
- Revert "fix setup.cfg munging"

* Fri Oct 23 2020 Raildo <rmascena@redhat.com> 12.3.2-1.20200916223434
- Train only: supply the stack name when creating the inventory (rhbz#1869001)
- Remove playbook param from tripleo_validator.py

* Wed Sep 16 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Inject both paths for validations roles location

* Mon Sep 14 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Make python interpreter option for ansible validation run
- Update tripleo-validations path to /usr/share/ansible
- Allow to pass a static inventory to the validator CLI
- Fix extra_env_files option and type in format string
- Implement validations-libs framework for ALL validator commands

* Fri Sep 04 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train-only] Add ipa config check to _cleanup_ipa

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add tripleo container image hotfix command

* Fri Aug 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- (UX) Improve logging if the ephemeral heat stack wasn't created

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Allow usage of duplicated IPs for undercloud config

* Wed Aug 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- TCIB: add --rhel-modules argument

* Mon Aug 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- overcloud_deploy: move horizon url/rc files before config-download

* Fri Aug 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Limit ip_version when resolving public_host and admin_host

* Thu Aug 20 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Use user set password values in overcloud export

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN-Only] Increase deploy workflow wait

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Rename UpgradeConvergeOvercloud into UpgradeConverge.

* Sat Aug 15 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Cleanup UndercloudHostsEntries

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Correct YAML load warning

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Close session objects in container_image.py

* Thu Aug 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Don't build image upload tasks when dry_run is True

* Tue Aug 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train-only] Run tripleo-build-containers-ubi-8 under specific conditions

* Mon Aug 10 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Port jobs from centos7 to centos8

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove ffwd-upgrade commands from tripleoclient.

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN-and-older] Properly close sockets

* Tue Jul 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add openstack tripleo container image build
- Correct ansible playbook execution handler

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Throw warning if --limit used with a skip list in Heat

* Thu Jul 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [train] manual backport & squash for overcloud_deploy raise changes

* Wed Jul 22 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable-only] Use folder with plan name for config download export

* Mon Jul 20 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add "yes" prompt for update/upgrades commands

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Skip network check with stack env when validations disabled

* Tue Jul 14 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Identify not allowed parameters in upgrades.

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- update constraint for tripleo-common to new release 11.4.0

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Detect TLS for pre-provisioned nodes

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN ONLY] Do not encode hostnames in validation result

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Refactor upgrade prepare and converge.

* Tue Jun 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Tue Jun 23 2020 Sergii Golovatiuk <sgolovat@redhat.com> 12.3.2-0.20200615103426.6f877f6
- Refactor upgrade prepare and converge. (rhbz#1846591)

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- TripleO Validations Logging CLI Introduction

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [TRAIN-AND-OLDER] Improve timeout error handling

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove left over print
- Fix upgrade prompt

* Fri May 22 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Removed job tripleo-ci-centos-7-scenario009-multinode-oooq-container

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Use undercloud upgrade to update all required pkgs

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable/train] Revert "Remove download_ansible_playbooks"

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Fri May 15 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Expose --limit, --skip-tags, and --tags on the CLI.

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add option to skip ipa cleanup when deleting overclouds

* Tue May 12 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Expose --limit, --skip-tags, and --tags on the CLI. (rhbz#1767581)
- tripleo-ci-centos-7-containerized-undercloud-upgrades -> NV

* Thu Apr 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Raise a new ValueError with the contents of the JSON is parsing fails

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable-only] Add retry for inserting temp_ssh_key

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable only] Remove timeout in config-download-export

* Wed Apr 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add login flag to container image prepare defaults

* Tue Apr 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- [stable-only] Raise error for temp_ssh_key import failure

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add release note for undercloud.conf parsing

* Thu Apr 23 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Update necessary packages before undercloud upgarde.
- Fix misused deployment vs connection timeouts

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- [DOWNSTREAM-ONLY] Make container images file required (rhbz#1819016)
- Fix ResourceWarning: unclosed file
- Ensure the undercloud output dir constant is consistent
- Add logic to clean up ipa on stack delete

* Sat Apr 04 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Improve container_images_file comments

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Normalize the 'undercloud-passwords.conf' return data
- baremetal provision expose concurrency and timeout

* Tue Mar 24 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add --work-dir option to container image build command

* Tue Mar 17 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Local file based image uploader

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Refactor image upload command

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add option to control ironic network interfaces

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Use correct default key file and normalize the usage

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- overcloud: set DeployIdentifier to '' if --skip-deploy-identifier is used

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Update undercloud.conf with correct SSL information
- Make _get_undercloud_host_entry(self) python3 friendly

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Relax ~/.config permissions

* Sat Feb 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Remove extra whitespaces from getent.
- Fix default image registry address lookup

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Increase ssh port timeout

* Fri Feb 28 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add source auth to image push

* Wed Feb 26 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Allow import to specify image location ipxe=false

* Fri Feb 21 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- undercloud: introduce undercloud_enable_paunch option

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Revert "Default to zero verbosity when using Ansible."
- Revert "Added for support for generating overcloud clouds.yaml"
- Implement utils.copy_clouds_yaml
- tripleo_deploy: set RootStackName

* Fri Feb 14 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Enable stack status output for tripleo deploy

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Fix all py27 tests

* Fri Feb 07 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- openstack overcloud node delete --baremetal-deployment

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Revert "Remove panko"

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Revert "Remove panko" (rhbz#1795759)

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "Enforce 0600 permissions on private SSH key file." into stable/train
- Merge "Default to zero verbosity when using Ansible." into stable/train
- Default to zero verbosity when using Ansible.
- Enforce 0600 permissions on private SSH key file.

* Wed Jan 29 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "Complete overcloud deploy --baremetal-deployment" into stable/train
- Merge "Improvements to unprovision command" into stable/train
- Complete overcloud deploy --baremetal-deployment
- Improvements to unprovision command

* Thu Jan 09 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "Handle config-download in progress in tripleoclient" into stable/train
- Handle config-download in progress in tripleoclient

* Wed Jan 08 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Add additional ssh timeout options

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.1-1
- Update patches
- Merge "TripleO Validator CLI Refactor" into stable/train
- TripleO Validator CLI Refactor

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Allow ctlplane subnets in undercloud chrony acl rules

* Fri Jan 03 2020 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Catch exceptions when processing subnets

* Mon Dec 30 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Pass container name to update_nodes workflow

* Mon Dec 16 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Merge "Make containerized-undercloud-upgrades vote on train" into stable/train
- Make containerized-undercloud-upgrades vote on train

* Sat Dec 14 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- [DOWNSTREAM-ONLY] Adding check if Sahara is enabled (rhbz#1730322)
- Retry the connection to heat-api when 500 code

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Honor --heat-user argument in heat launcher

* Sat Dec 07 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Add locks to container image commands

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Use configured passwords
- Include memcached_node_ips in the output for the undercloud

* Mon Dec 02 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Fix inspector ip range for dhcpv6-stateless

* Tue Nov 26 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Switch to use process executor

* Fri Nov 15 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Fix overcloud cell export after refactoring

* Thu Nov 14 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Add openstack overcloud export

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Drop Mistral support for the Validations CLI
- Get rid of Mistral for running Validations by Groups
- Get rid of Mistral for listing validations

* Sat Nov 09 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches
- Support undercloud fake-hardware ironic driver

* Tue Oct 22 2019 OSP Prod Chain <dev-null@redhat.com> 12.3.0-1
- Update patches

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Undercloud hosts entries in overcloud parameters" into stable/train
- Merge "Use name for container registry" into stable/train
- Undercloud hosts entries in overcloud parameters
- Use name for container registry

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Update TOX/UPPER_CONSTRAINTS_FILE for stable/train
- Prepare stable/train

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Ensure that --output-env-file handles path expansion"
- Add option to control IPv6 address mode
- Ensure that --output-env-file handles path expansion

* Thu Oct 10 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Don't set transport=local in ansible.cfg"
- Merge "Handle a deployment that was manually cancelled."
- Handle a deployment that was manually cancelled.
- Don't set transport=local in ansible.cfg

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Set option:mtu in inspector dnsmasq"
- Merge "Don't use --registry-url for image show auth"
- Merge "Removed references to bm-deploy images"
- Merge "Fix message of unused_params and invalid_role_specific_params."
- Merge "IronicIpVersion: 12.3.2
- Removed references to bm-deploy images
- Fix message of unused_params and invalid_role_specific_params.
- IronicIpVersion: 12.3.2
- Set option:mtu in inspector dnsmasq
- Don't use --registry-url for image show auth

* Tue Oct 01 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Merge "Close some file descriptors that were left open"
- Close some file descriptors that were left open

